avro-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Scott Carey (JIRA)" <j...@apache.org>
Subject [jira] Resolved: (AVRO-348) Avro ivy dependencies include/propagate too many JARs
Date Thu, 16 Dec 2010 01:05:01 GMT

     [ https://issues.apache.org/jira/browse/AVRO-348?page=com.atlassian.jira.plugin.system.issuetabpanels:all-tabpanel
]

Scott Carey resolved AVRO-348.
------------------------------

       Resolution: Duplicate
    Fix Version/s: 1.5.0

Fixed as part of AVRO-647.

> Avro ivy dependencies include/propagate too many JARs
> -----------------------------------------------------
>
>                 Key: AVRO-348
>                 URL: https://issues.apache.org/jira/browse/AVRO-348
>             Project: Avro
>          Issue Type: Bug
>          Components: build
>    Affects Versions: 1.2.0
>            Reporter: Steve Loughran
>            Priority: Minor
>             Fix For: 1.5.0
>
>
> I've been tracking down why my RPM build is failing due to an unexpected ant-1.6.5 JAR
file, amongst others; the root cause appears to be avro is over-declaring its dependencies.
> # The dependency on slf4j-simple is causing the problem in hadoop-* projects with >1
SLF4J back end on the classpath.
> # paranamer-ant is pulling in Ant 1.6.5
> # paranamer depends on paranamer-generator and hence qdox, which isn't likely to be needed
at run time

-- 
This message is automatically generated by JIRA.
-
You can reply to this email to add a comment to the issue online.


Mime
View raw message